hpp-corbaserver: _objref_PathOptimizer Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_PathOptimizer Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _objref_PathOptimizer:
[legend]
Collaboration diagram for _objref_PathOptimizer:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
PathVector_ptr | optimize (::hpp::core_idl::PathVector_ptr path)
void | interrupt ()
void | maxIterations (::hpp::size_type n)
void | timeOut (::hpp::value_type seconds)
| _objref_PathOptimizer ()
| _objref_PathOptimizer (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_PathOptimizer ()

## Friends
class | PathOptimizer

## Constructor & Destructor Documentation

## ◆ _objref_PathOptimizer() [1/2]

_objref_PathOptimizer::_objref_PathOptimizer | ( |  | ) |
| inline

## ◆ _objref_PathOptimizer() [2/2]

_objref_PathOptimizer::_objref_PathOptimizer | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_PathOptimizer()

virtual _objref_PathOptimizer::~_objref_PathOptimizer | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_PathOptimizer::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_PathOptimizer::deleteThis | ( |  | ) |

## ◆ interrupt()

void _objref_PathOptimizer::interrupt | ( |  | ) |

## ◆ maxIterations()

void _objref_PathOptimizer::maxIterations | ( | ::hpp::size_type | n | ) |

## ◆ optimize()

PathVector_ptr _objref_PathOptimizer::optimize | ( | ::hpp::core_idl::PathVector_ptr | path | ) |

## ◆ persistantStorage()

void _objref_PathOptimizer::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ timeOut()

void _objref_PathOptimizer::timeOut | ( | ::hpp::value_type | seconds | ) |

## Friends And Related Symbol Documentation

## ◆ PathOptimizer

friend class PathOptimizer
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh